org.bouncycastle.asn1.ocsp

## Class OCSPRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.OCSPRequest

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OCSPRequest
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPRequest(TBSRequest tbsRequest, Signature optionalSignature)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCSPRequest` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static OCSPRequest` | `getInstance(java.lang.Object obj)`
    `Signature` | `getOptionalSignature()`
    `TBSRequest` | `getTbsRequest()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OCSPRequest

          public OCSPRequest(TBSRequest tbsRequest,
                             Signature optionalSignature)

  - ### Method Detail

    - #### getInstance

          public static OCSPRequest getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

    - #### getInstance

          public static OCSPRequest getInstance(java.lang.Object obj)

    - #### getTbsRequest

          public TBSRequest getTbsRequest()

    - #### getOptionalSignature

          public Signature getOptionalSignature()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           OCSPRequest     ::=     SEQUENCE {
               tbsRequest                  TBSRequest,
               optionalSignature   [0]     EXPLICIT Signature OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.